$Revision: 1.3 $
$Date: 2005/08/24 22:26:19 $

# Parameters

## `db_url` (string)

SQL URL of database--username, password, host, port and database (ex: mysql://username:password@hostname.com/database)

Default value is 'mysql://root@127.0.0.1/pdt'.

### Set `db_url` parameter

    ...
    modparam("pdt", "db_url", "mysql://user:xxx@127.0.0.1/ser")
    ...

## `db_table` (string)

Table name.

Default value is "prefix_domain".

### Set `db_table` parameter

    ...
    modparam("pdt", "db_table", "pdt")
    ...

## `prefix_column` (string)

Name of 'prefix' column.

Default value is "prefix".

### Set `prefix_column` parameter

    ...
    modparam("pdt", "prefix_column", "code")
    ...

## `domain_column` (string)

Name of 'domain' column.

Default value is "domain".

### Set `domain_column` parameter

    ...
    modparam("pdt", "domain_column", "hostname")
    ...

## `prefix` (string)

Default leading prefix who denotes what URI needs to be translated - if it is NULL the module will not check the Request-URI; against it and the PDT prefix is considered starting from the first digit. Otherwise, the module will check first if the Request-URI starts with it and will skip it to look up the domain.

Default value is NULL.

### Set `prefix` parameter

    ...
    modparam("pdt", "prefix", "00")
    ...

## `hsize_2pow` (integer)

Number of the hash entries = 2^hash_size.

Default value is 4.

### Set `hsize_2pow` parameter

    ...
    modparam("pdt", "hsize_2pow", 4)
    ...

## `sync_time` (integer)

Time in seconds to synchronize the cache of each process with the changes made through FIFO. Any prefix-domain change made through FIFO is guaranteed to have efect after this period of time past.

Default value is 600.

### Set `sync_time` parameter

    ...
    modparam("pdt", "sync_time", 300)
    ...

## `clean_time` (integer)

Time in seconds to clean the changes inserted via FIFO. The changes will be removed from FIFO diff list only when all SER processes applied these changes.

Default value is 900.

### Set `clean_time` parameter

    ...
    modparam("pdt", "clean_time", 600)
    ...